summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* app-misc/gramps: x86 stable wrt bug #709364Agostino Sarubbo9 days1-1/+1
| | | | | | Package-Manager: Portage-2.3.84, Repoman-2.3.20 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* app-misc/gramps: amd64 stable wrt bug #709364Agostino Sarubbo9 days1-1/+1
| | | | | | Package-Manager: Portage-2.3.84, Repoman-2.3.20 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* app-misc/gramps: Switch to PYTHON_MULTI_USEDEP APIMichał Górny12 days3-15/+21
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* app-misc/gramps: remove oldMarek Szuba2020-01-132-72/+0
| | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* app-misc/gramps: bump to 5.1.2Marek Szuba2020-01-132-0/+72
| | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* app-misc/gramps: update name capitalisation in metadataMarek Szuba2020-01-131-20/+20
| | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* */*: Clean PYTHON_COMPAT of obsolete implsMichał Górny2020-01-053-6/+6
| | | | | Closes: https://github.com/gentoo/gentoo/pull/14246 Signed-off-by: Michał Górny <mgorny@gentoo.org>
* app-misc/gramps: bump to 5.1.1Marek Szuba2019-10-292-0/+72
| | | | | Package-Manager: Portage-2.3.76, Repoman-2.3.16 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* app-misc/gramps: remove oldMarek Szuba2019-10-083-91/+0
| | | | | Package-Manager: Portage-2.3.76, Repoman-2.3.16 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* app-misc/gramps: bump to 5.0.2Marek Szuba2019-08-092-0/+72
| | | | | Package-Manager: Portage-2.3.69, Repoman-2.3.16 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* app-misc/gramps: x86 stable wrt bug #689886Agostino Sarubbo2019-07-181-1/+1
| | | | | | Signed-off-by: Agostino Sarubbo <ago@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.11 RepoMan-Options: --include-arches="x86"
* app-misc/gramps: amd64 stable wrt bug #689886Agostino Sarubbo2019-07-151-1/+1
| | | | | | Signed-off-by: Agostino Sarubbo <ago@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.11 RepoMan-Options: --include-arches="amd64"
* app-misc/gramps: remove oldMarek Szuba2019-07-153-118/+0
| | | | | Signed-off-by: Marek Szuba <marecki@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.11
* */*: Remove python3_4 PYTHON_COMPAT correctlyMichał Górny2019-04-174-7/+7
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* app-misc/gramps: bump to 5.0.1Marek Szuba2019-01-092-0/+72
| | | | | Signed-off-by: Marek Szuba <marecki@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
* app-misc/gramps: new maintainerMarek Szuba2018-10-111-1/+4
| | | | | Signed-off-by: Marek Szuba <marecki@gentoo.org> Package-Manager: Portage-2.3.49, Repoman-2.3.11
* app-misc/gramps: bump to 5.0.0Marek Szuba2018-10-112-0/+72
| | | | | | | | | | Now with EAPI 7 and a working test suite. python3_7 compatibility has been tested as well but it has turned out that at the very least, some of the dependencies (e.g. dev-python/bsddb3 - need 6.2.6+, the latest version in the tree is 6.2.4) do not support it yet. Signed-off-by: Marek Szuba <marecki@gentoo.org> Package-Manager: Portage-2.3.49, Repoman-2.3.11
* */*: Herb Miller Jr. is retiring as proxied maintainerMichał Górny2018-10-091-8/+1
| | | | | Closes: https://bugs.gentoo.org/647176 Signed-off-by: Michał Górny <mgorny@gentoo.org>
* app-misc/gramps: x86 stable wrt bug #659408Mikle Kolyada2018-07-011-1/+1
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* app-misc/gramps: amd64 stable, bug #659408Pacho Ramos2018-06-301-1/+1
| | | | Package-Manager: Portage-2.3.41, Repoman-2.3.9
* app-misc/gramps: Support python3.6Pacho Ramos2018-06-271-1/+1
| | | | Package-Manager: Portage-2.3.41, Repoman-2.3.9
* app-misc/gramps: Don't compress man pages during compile.Herb Miller Jr2018-03-242-4/+38
| | | | | Closes: https://github.com/gentoo/gentoo/pull/7346 Package-Manager: Portage[mgorny]-2.3.24.1
* app-misc/gramps: Fix MimeType QA notice.Herb Miller Jr2018-03-241-1/+11
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* app-misc/gramps: Add postscript USE flag.Herb Miller Jr2018-03-241-2/+2
| | | | | | Triggers postscript on graphviz, allowing creation of reports as PDFs. Package-Manager: Portage-2.3.19, Repoman-2.3.6
* app-misc/gramps: Add rcs USE flag.Herb Miller Jr2018-03-242-1/+3
| | | | | | Allows versioning family tree archives. Package-Manager: Portage-2.3.19, Repoman-2.3.6
* app-misc/gramps: Bump to version 4.2.8.Herb Miller Jr2018-03-243-1/+54
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* app-misc/*: Update Manifest hashesMichał Górny2017-12-091-1/+1
|
* app-misc/gramps: [QA] Consistent whitespace in metadata.xmlDavid Seifert2017-11-251-72/+70
|
* app-misc/gramps: Drop oldPacho Ramos2017-06-043-53/+0
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2
* app-misc/gramps: x86 stable wrt bug #620414Agostino Sarubbo2017-06-041-1/+1
| | | | | | Package-Manager: Portage-2.3.5, Repoman-2.3.1 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* app-misc/gramps: amd64 stable wrt bug #620414Agostino Sarubbo2017-06-021-1/+1
| | | | | | Package-Manager: Portage-2.3.5, Repoman-2.3.1 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* app-misc/gramps: Drop old version needing vulnerable webkit-gtk versionPacho Ramos2017-06-025-104/+0
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2
* Globally add missing remote ID references to metadata.xmlJustin Lecher2017-04-291-8/+9
| | | | Signed-off-by: Justin Lecher <jlec@gentoo.org>
* app-misc/gramps: remove unused version 4.2.4.Michael Orlitzky2017-04-281-39/+0
| | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1
* app-misc/gramps: new version 4.2.5.Michael Orlitzky2017-04-282-7/+11
| | | | | | | | | | This is a straightforward version bump, except that I've eliminated one patch. By passing the --resourcepath argument to distutils, we avoid the need to patch it ourselves. Gentoo-Bug: 616796 Package-Manager: Portage-2.3.3, Repoman-2.3.1
* Drop $Id$ per council decision in bug #611234.Robin H. Johnson2017-02-284-4/+0
| | | | Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
* app-misc/gramps: remove the proxied maintainer per his request #605736Göktürk Yüksek2017-01-151-8/+1
| | | | Package-Manager: portage-2.3.0
* app-misc/gramps: x86 stable wrt bug #597258Agostino Sarubbo2016-12-291-1/+1
| | | | | | Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* app-misc/gramps: amd64 stable wrt bug #597258Agostino Sarubbo2016-12-291-1/+1
| | | | | | Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* app-misc/gramps: reactivate geography supportMarek Szuba2016-11-162-0/+45
| | | | | | Suggested-By: Kevin Simmons <kevin@kblob.com> Package-Manager: portage-2.3.2
* app-misc/gramps: remove oldMarek Szuba2016-11-133-158/+0
| | | | | | Suggested-By: Kevin Simmons <kevin@kblob.com> Package-Manager: portage-2.3.2
* app-misc/gramps: Support Python 3.5 and fix dependenciesChris Mayo2016-10-211-0/+42
| | | | | | | | | Also replaced versioned_doc_dir.patch that doesn't use ${PF} Package-Manager: portage-2.3.0 Closes: https://github.com/gentoo/gentoo/pull/2517 Signed-off-by: David Seifert <soap@gentoo.org>
* app-misc/gramps: fix HOMEPAGE in 4.2.4 ebuildMarek Szuba2016-09-231-1/+1
| | | | Package-Manager: portage-2.3.1
* app-misc/gramps: add proxied maintainerMarek Szuba2016-09-231-1/+8
| | | | Package-Manager: portage-2.3.1
* app-misc/gramps: version bump to 4.2.4Marek Szuba2016-09-234-0/+67
| | | | | | | | | | | | Dependency on sci-geosciences/osm-gps-map temporarily removed because we haven't got the right version in Portage yet. Seems to work with python3_5 as well but needs more testing, will officially add support for that version later. Suggested-By: Kevin Simmons <kevin@kblob.com> Package-Manager: portage-2.3.1
* Revert "sci-geosciences/osm-gps-map: move version 0.7.3 to slot 2"Marek Szuba2016-08-152-3/+3
| | | | | | | Return to original state until the new version can really be installed in parallel with this one. This reverts commit 7b88e7dd798f0a6e11e4f242c33f98543ec9a9c4.
* sci-geosciences/osm-gps-map: move version 0.7.3 to slot 2Marek Szuba2016-08-122-3/+3
| | | | | | | | This is to make room for ebuilds of version 1.0.0 and newer, which among other changes are linked against gtk3 instead of gtk2 and have a different library name. Package-Manager: portage-2.3.0
* app-misc/gramps: fix gramps-3.4.0-use_bsddb3.patch for EAPI 6Austin English2016-07-082-3/+2
| | | | | | Gentoo-Bug: https://bugs.gentoo.org/588292 Package-Manager: portage-2.2.28
* app-misc/gramps: bump to EAPI 6, add maintainer-neededAustin English2016-07-072-0/+81
| | | | Package-Manager: portage-2.2.28
* app-misc/gramps: Cleanup due to #148577Pacho Ramos2016-05-281-4/+0
| | | | Package-Manager: portage-2.3.0_rc1